[3.3] Nach Update Fehler: file does not contain valid YAML

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.2 und höher und die Konvertierung zu phpBB 3.3.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.3] oder [3.2] angeben
LuMaReMa
Mitglied
Beiträge: 179
Registriert: 09.11.2016 08:27

Re: [3.3] Nach Update Fehler: file does not contain valid YAML

Beitrag von LuMaReMa » 15.01.2020 16:14

Keine Ahnung, ob ich das so richtig gemacht habe:

Code: Alles auswählen

/testforum.esterelclub.com/ext/david63/userranks/config/routimg.yml
/testforum.esterelclub.com/ext/david63/userranks/config/services.yml
Grüße aus dem Bergischen Land
Ludger

Benutzeravatar
Crizzo
Administrator
Administrator
Beiträge: 10498
Registriert: 19.05.2005 21:45
Kontaktdaten:

Re: [3.3] Nach Update Fehler: file does not contain valid YAML

Beitrag von Crizzo » 15.01.2020 16:16

Nein, den Inhalt der beiden Dateien sollst du in die Pastebin packen, nicht deren Pfad.

LuMaReMa
Mitglied
Beiträge: 179
Registriert: 09.11.2016 08:27

Re: [3.3] Nach Update Fehler: file does not contain valid YAML

Beitrag von LuMaReMa » 15.01.2020 16:27

ok. 2. Versuch:

routing.yml
pastebin/?mode=view&s=21

services.yml
pastebin/?mode=view&s=22
Zuletzt geändert von Crizzo am 15.01.2020 16:28, insgesamt 1-mal geändert.
Grund: Links bitte nicht in code Tags setzen
Grüße aus dem Bergischen Land
Ludger

Benutzeravatar
Crizzo
Administrator
Administrator
Beiträge: 10498
Registriert: 19.05.2005 21:45
Kontaktdaten:

Re: [3.3] Nach Update Fehler: file does not contain valid YAML

Beitrag von Crizzo » 15.01.2020 16:32

Gut, die sind beide noch nicht so wie sie sein sollten.

Bitte mal hiermit https://jsonformatter.org/yaml-formatter überarbeiten,hochladen und cache leeren.

Benutzeravatar
Dr.Death
Moderator
Moderator
Beiträge: 15953
Registriert: 23.04.2003 08:22
Wohnort: Xanten
Kontaktdaten:

Re: [3.3] Nach Update Fehler: file does not contain valid YAML

Beitrag von Dr.Death » 15.01.2020 16:49

der von Crizzo angegebene Link scheint manchmal auf das falsche Servlet zu verweisen.... :o

Hier der Korrekte Link: https://jsonformatter.org/yaml-validator/


Hier aber mal die korrigierte Version von services.yml

Code: Alles auswählen

services:
    david63.userranks.listener:
        class: david63\userranks\event\listener
        arguments:
            - '@config'
            - '@template'
            - '@controller.helper'
            - '@auth'
        tags:
            - {name: event.listener}
    david63.userranks.controller:
        class: david63\userranks\controller\main_controller
        arguments:
            - '@config'
            - '@template'
            - '@user'
            - '@dbal.conn'
            - '@controller.helper'
            - '@path_helper'
            - '@cache'
            - '@auth'
    david63.userranks.admin.controller:
        class: david63\userranks\controller\admin_controller
        arguments:
            - '@config'
            - '@request'
            - '@template'
            - '@user'
            - '@service_container'
Doc.
verlinken => KB:81

LuMaReMa
Mitglied
Beiträge: 179
Registriert: 09.11.2016 08:27

Re: [3.3] Nach Update Fehler: file does not contain valid YAML

Beitrag von LuMaReMa » 16.01.2020 10:09

Danke für eure Hilfe. Habe die routing über den Link bearbeiten lassen und die Änderungen in die service eingefügt. Anschließend beide Dateien noch validieren lassen und hochgeladen. Leider ohne Erfolg - der Fatal Error bleibt.
Grüße aus dem Bergischen Land
Ludger

Benutzeravatar
Dr.Death
Moderator
Moderator
Beiträge: 15953
Registriert: 23.04.2003 08:22
Wohnort: Xanten
Kontaktdaten:

Re: [3.3] Nach Update Fehler: file does not contain valid YAML

Beitrag von Dr.Death » 16.01.2020 10:33

Dann spiel Dein Backup ein (Files und Datenbank).

Dann gehst du entsprechend https://www.phpbb.de/kb/phpBB33_upgrade_from_32 vor. (Den Gelben Kasten beachten)
Doc.
verlinken => KB:81

LuMaReMa
Mitglied
Beiträge: 179
Registriert: 09.11.2016 08:27

Re: [3.3] Nach Update Fehler: file does not contain valid YAML

Beitrag von LuMaReMa » 16.01.2020 13:19

Ich dreh am Rad. Ich habe jetzt das vorher erstellte Backup eingespielt. Wenn ich das Testforum aufrufe kommt die Anmeldeseite und dann das:

Code: Alles auswählen

Fatal error: Uncaught Symfony\Component\Routing\Exception\RouteNotFoundException: Unable to generate a URL for the named route "phpbb_pages_dynamic_route_11" as such route does not exist. in /www/htdocs/w0140128/testforum.esterelclub.com/cache/production/url_generator.php:77 Stack trace: #0 /www/htdocs/w0140128/testforum.esterelclub.com/phpbb/routing/router.php(168): phpbb_url_generator->generate('phpbb_pages_dyn...', Array, 1) #1 /www/htdocs/w0140128/testforum.esterelclub.com/phpbb/routing/helper.php(148): phpbb\routing\router->generate('phpbb_pages_dyn...', Array, 1) #2 /www/htdocs/w0140128/testforum.esterelclub.com/phpbb/controller/helper.php(114): phpbb\routing\helper->route('phpbb_pages_dyn...', Array, true, false, 1) #3 /www/htdocs/w0140128/testforum.esterelclub.com/ext/phpbb/pages/event/listener.php(115): phpbb\controller\helper->route('phpbb_pages_dyn...') #4 [internal function]: phpbb\pages\event\listener->show_page_links(Object(phpbb\event\data), 'core.page_heade...', Object(phpbb\event\dispatcher)) #5 /www/htdo in /www/htdocs/w0140128/testforum.esterelclub.com/cache/production/url_generator.php on line 77
Grüße aus dem Bergischen Land
Ludger

Benutzeravatar
Dr.Death
Moderator
Moderator
Beiträge: 15953
Registriert: 23.04.2003 08:22
Wohnort: Xanten
Kontaktdaten:

Re: [3.3] Nach Update Fehler: file does not contain valid YAML

Beitrag von Dr.Death » 16.01.2020 13:37

Nach dem Einspielen des Backups (Dateien und Datenbank) auch das "cache" Verzeichnis leeren (alles außer .htaccess und index.htm entfernen)
Doc.
verlinken => KB:81

LuMaReMa
Mitglied
Beiträge: 179
Registriert: 09.11.2016 08:27

Re: [3.3] Nach Update Fehler: file does not contain valid YAML

Beitrag von LuMaReMa » 16.01.2020 14:16

ok, hatte jetzt immer noch den Fatal Error. Aber dann fiel mir ein, dass ich ja die php-version umgestellt hatte für das Update. Zurück auf 5.6 und jetzt läuft die alte Version erst mal wieder. Ich fang dann mal von vorne an. :roll:
Grüße aus dem Bergischen Land
Ludger

Antworten

Zurück zu „Support-Forum“